apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: hello-dev
  namespace: argocd
  finalizers:
  - resources-finalizer.argocd.argoproj.io
spec:
  destination:
    namespace: develop
    server: https://kubernetes.default.svc
  project: argocd
  source:
    repoURL: https://charts.visonneau.fr/
    chart: generic-app
    targetRevision: 0.0.7
    helm:
      values: |
        nameOverride: hello-k8s
        ingress:
          enabled: true
          annotations:
            cert-manager.io/cluster-issuer: letsencrypt-prod
            certmanager.k8s.io/acme-challenge-type: dns01
            ingress.kubernetes.io/force-ssl-redirect: "true"
            kubernetes.io/tls-acme: "true"
          hosts:
            - hello.dev.klabs.tk
          tls:
            - secretName: klabs-prod-tls
              hosts:
                - hello.dev.klabs.tk
        pods:
          image:
            name: paulbouwer/hello-kubernetes
            tag: 1.10
          replicas: 1
          env:
            - name: MESSAGE
              value: I just deployed this on Kubernetes!
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=true